> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridge.joltz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote



## OpenAPI

````yaml POST /quote
openapi: 3.0.9
info:
  title: Joltz Bridge
  version: 0.0.1
servers:
  - url: https://api.bridge.joltz.app/v1
security: []
paths:
  /quote:
    post:
      summary: Create a quote, estimates costs & provides the steps needed to bridge.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteReq'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteRes'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    QuoteReq:
      type: object
      properties:
        inputChainID:
          type: integer
          example: 1
        inputToken:
          type: string
          example: '0x0'
        amount:
          type: string
          example: 1
        address:
          type: string
          example: '0x0'
        sparkAddress:
          type: string
          example: spark1
        appFee:
          $ref: '#/components/schemas/AppFee'
      required:
        - inputChainID
        - inputToken
        - amount
        - address
        - sparkAddress
    QuoteRes:
      type: object
      properties:
        id:
          type: string
          example: ''
        amount:
          type: string
          example: '0'
        amountInUSD:
          type: string
          example: '0'
        amountOutUSD:
          type: string
          example: '0'
        fees:
          $ref: '#/components/schemas/Fees'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/Step'
        solanaInstructions:
          type: array
          items:
            $ref: '#/components/schemas/SolanaInstruction'
      required:
        - id
        - amount
        - fees
        - steps
        - amountInUSD
        - amountOutUSD
        - solanaInstructions
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
    AppFee:
      type: object
      properties:
        address:
          type: string
          example: spark1
          description: Recipient spark address
        bps:
          type: integer
          example: 50
          description: Fee in bps
      required:
        - address
        - bps
    Fees:
      type: object
      properties:
        joltzFee:
          type: string
          example: '0'
        relayFee:
          type: string
          example: '0'
        flashnetFee:
          type: string
          example: '0'
        appFee:
          type: string
          example: '0'
      required:
        - joltzFee
        - relayFee
        - flashnetFee
        - appFee
    Step:
      type: object
      properties:
        name:
          type: string
          example: deposit
        tx:
          $ref: '#/components/schemas/Tx'
      required:
        - name
        - tx
    SolanaInstruction:
      type: object
      properties:
        keys:
          type: array
          description: List of Solana account metadata for this instruction
          items:
            type: object
            properties:
              pubkey:
                type: string
                description: The account public key (base58-encoded string)
                example: 5mdrbDXzXmyNzXwcESGys5uG1YmzAGPxa1foQvHMsCdw
              isSigner:
                type: boolean
                description: True if this key must sign the instruction
                example: true
              isWritable:
                type: boolean
                description: True if this key may be written to by the instruction
                example: true
            required:
              - pubkey
              - isSigner
              - isWritable
        programId:
          type: string
          description: The Solana program ID being called (base58-encoded string)
          example: '11111111111111111111111111111111'
        data:
          type: string
          description: The raw encoded instruction data (base64, base58, or hex)
          example: 02000000a0a7280300000000
      required:
        - keys
        - programId
        - data
    Tx:
      type: object
      properties:
        from:
          type: string
        to:
          type: string
        data:
          type: string
        value:
          type: string
        maxFeePerGas:
          type: string
        maxPriorityFeePerGas:
          type: string
        chainID:
          type: integer
      required:
        - from
        - to
        - data
        - value
        - maxFeePerGas
        - maxPriorityFeePerGas
        - chainID

````